find_path(ALUT_INCLUDE_DIR AL/alut.h
  HINTS
    ENV ALUTDIR
  PATHS
    "/usr"
    "/usr/local"
    "~/Library/Frameworks"
    "/Library/Frameworks"
    "/opt"
    "$ENV{PROGRAMFILES}/alut"
    "$ENV{PROGRAMFILES}/freealut"
  PATH_SUFFIXES
    include
    alut
    freealut
)

# Search for the library
FIND_LIBRARY(ALUT_LIBRARY
  NAMES
    alut freealut
  HINTS
    ENV ALUTDIR
  PATHS
    "/usr"
    "/usr/local"
    "~/Library/Frameworks"
    "/Library/Frameworks"
    "/opt"
    "$ENV{PROGRAMFILES}/alut"
    "$ENV{PROGRAMFILES}/freealut"
  PATH_SUFFIXES
    lib
    lib32
    lib64
    libs
)

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(
  ALUT
  REQUIRED_VARS ALUT_LIBRARY ALUT_INCLUDE_DIR
)

mark_as_advanced(ALUT_LIBRARY ALUT_INCLUDE_DIR)
